package com.frank01001.hydrogentech.blocks;

import com.frank01001.hydrogentech.HydrogenTech;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.util.IIcon;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;
import net.minecraftforge.fluids.BlockFluidClassic;
import net.minecraftforge.fluids.Fluid;

public class BlockHydrogen extends BlockFluidClassic {
	
	@SideOnly(Side.CLIENT)
	IIcon still;
	@SideOnly(Side.CLIENT)
	IIcon flowing;
	
	public BlockHydrogen(Fluid fluid, Material material) {
		super(fluid, material);
		
		this.setBlockName("hydrogenfluid");
		this.setCreativeTab(HydrogenTech.hydTab);
		
	}
	
	@Override
	public IIcon getIcon(int side, int meta) {
		
		return (side == 0 || side == 1)? still : flowing;
		
	}

	@Override
	@SideOnly(Side.CLIENT)
	public void registerBlockIcons(IIconRegister register) {
		
		still = register.registerIcon("hydrogentech:HydrogenStill");
		flowing = register.registerIcon("hydrogentech:HydrogenFlowing");
		
	}



	@Override
    public boolean canDisplace(IBlockAccess world, int x, int y, int z) {
            if (world.getBlock(x,  y,  z).getMaterial().isLiquid()) return false;
            return super.canDisplace(world, x, y, z);
    }
    
    @Override
    public boolean displaceIfPossible(World world, int x, int y, int z) {
            if (world.getBlock(x,  y,  z).getMaterial().isLiquid()) return false;
            return super.displaceIfPossible(world, x, y, z);
    }
	
}
