package com.frank01001.hydrogentech.blocks;

import java.util.Random;

import com.frank01001.hydrogentech.HydrogenTech;

import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.IIcon;
import net.minecraft.util.Vec3;
import net.minecraft.world.World;

public class BlockHydrogenJumper extends Block {
	
	@SideOnly(Side.CLIENT)
	public IIcon topIcon;
	@SideOnly(Side.CLIENT)
	public IIcon sideIcon;
	@SideOnly(Side.CLIENT)
	public IIcon bottomIcon;
	
	public BlockHydrogenJumper(Material p_i45394_1_) {
		super(p_i45394_1_);
		
		this.setCreativeTab(HydrogenTech.hydTab);
		this.setBlockName("hydrogenjumper");
		
	}

	@Override
	public void randomDisplayTick(World world, int x, int y, int z, Random random) {
		super.randomDisplayTick(world, x, y, z,	random);
		
		float f1 = (float)x + 0.5f;
		float f2 = (float)y + 1.1f;
		float f3 = (float)z + 0.5f;
		float f4 = random.nextFloat() * 0.6f - 0.3f;
		float f5 = random.nextFloat() * -0.6f - -0.3f;
		
		world.spawnParticle("portal", (double)(f1 + f4), (double)f2, (double)(f3 + f5), 0.0D, 0.5D, 0.0D);
		
	}



	@Override
	public void onEntityWalking(World world, int x,
			int y, int z, Entity entity) {
		entity.setVelocity(0, 1, 0);
		entity.fallDistance = 0;
		super.onEntityWalking(world, x, y, z,
				entity);
	}

	@Override
	public IIcon getIcon(int par1, int par2)
    {
        switch(par1){
        	
        case 1:
        	return topIcon;
        case 2:
        	return sideIcon;
        case 3:
        	return sideIcon;
        case 4:
        	return sideIcon;
        case 5:
        	return sideIcon;
        case 6:
        	return bottomIcon;
        default:
        	return sideIcon;
        	
        }
    }

	 @Override
	    @SideOnly(Side.CLIENT)
	    public void registerBlockIcons(IIconRegister par1IconRegister)
	    {
		 
	        this.topIcon = par1IconRegister.registerIcon("hydrogentech:Jumper_top");
	        this.sideIcon = par1IconRegister.registerIcon("hydrogentech:Divider_side");
	        this.bottomIcon = par1IconRegister.registerIcon("hydrogentech:Divider_bottom");
	    
	    }

}
